
$(document).ready(function(){

	$("#owl-slides").owlCarousel({    
		navigation : true,
		navigationText: [
		  "<i class='fa fa-chevron-left'></i>",
		  "<i class='fa fa-chevron-right'></i>"
		  ],
		slideSpeed : 300,
		paginationSpeed : 400,
		singleItem:true,
		autoPlay:7000,
		pagination: false,
		transitionStyle : "fade",
		lazyLoad : true
    });
	
	if ($(window).width() > 1220) {
		$('.main-menu li:has(.hidden-menu)').hover(
			function() {
				$(this).find('.hidden-menu').stop(true,true).fadeToggle(300);
				$(this).toggleClass('menuactive');
			});	
		} else {
		$('.main-menu li:has(.hidden-menu) > a').click(function() {
				$(this).parent().find('.hidden-menu').slideToggle(150);
				$(this).parent().toggleClass('menuactive');
				return false;
		});	
	};	
	
	$('.main-menu li:has(ul)').addClass('submenu');
	 

	$("#show-search").click(function(){
		$("#search-wrap").slideToggle(200);
		$(this).toggleClass('active');
	});
	
    
	if ($(window).width() < 1220) {
		$('.head-fixed-inner nav').append('<div class="show-menu"><i class="fa fa-bars"></i></div>');  
		$(".show-menu").click(function(){
			$(".main-menu").fadeToggle(200);
		});
	};
	
	
		 $(".owl-movies").owlCarousel({    
			navigation : true,
			navigationText: [
			  "<i class='fa fa-chevron-left'></i>",
			  "<i class='fa fa-chevron-right'></i>"
			  ],
			slideSpeed : 300,
			paginationSpeed : 400,
			singleItem:false,
			itemsCustom: [[0, 1], [470, 2], [600, 3], [760, 4], [940, 5], [1230, 6]],
			autoPlay:false,
			pagination: false
		});
		
		$('.show-desc').hover(
		function() {
			var $winWidth = window.innerWidth;
			var $movieItem = $(this).closest('.movie-item');
			var $moviePos = $movieItem.offset().left;
			if ($moviePos < $winWidth/2) {
				$movieItem.addClass('pop-right');
			}
			$movieItem.parent().toggleClass('active');
			$movieItem.toggleClass('active').find('.movie-desc').stop(true,true).fadeToggle(200);
		});	
		
		$('.go-watch').click(function(){
			var $url = $(this).attr("data-link");
			window.location.href=$url;
		});
	
		$('.sorter').hover(
		function() {
			$(this).find('form').stop(true,true).slideToggle(200);
		});	
		
		
		 $("#full-slides").owlCarousel({    
			navigation : true,
			navigationText: [
			  "<i class='fa fa-chevron-left'></i>",
			  "<i class='fa fa-chevron-right'></i>"
			  ],
			slideSpeed : 300,
			paginationSpeed : 400,
			singleItem:false,
			itemsCustom: [[0, 2], [470, 3], [590, 4], [760, 5], [950, 6], [1220, 8]],
			autoPlay:false,
			pagination: false,
			lazyLoad : true
		});
		
		if ($(window).width() > 760) {
			$('#movie-right').append($('#comments'));
			$('#movie-left').append($('#sidebar'));
		};
		
	$("#show-login").click(function(){
		$("#overlay").fadeIn(200);
	});
	
    $('#overlay').append('<i class="fa fa-times overlay-close"></i>');  
    $(".overlay-close").click(function(){
		$("#overlay").fadeOut(200);
	});
	
	
	$("#add-com-but").click(function(){
		$("#addcform").fadeToggle(200);
	});
	
	$(".reply").click(function(){
		$("#addcform").fadeIn(200);
	});
	
    $('body').append('<div id="gotop" title="Наверх"></div>');
    var $gotop=$('#gotop'); 
	$ (window).scroll (function () {
		if ($ (this).scrollTop () > 300) {
			$gotop.fadeIn(200);
		} else {
			$gotop.fadeOut(200);
		}
	});	
	$gotop.click(function(){
	$('html, body').animate({ scrollTop : 0 }, 'slow');
	});
	
});

 $(function() {
   $('ul.tabs').delegate('li:not(.current)', 'click', function() {
     $(this).addClass('current').siblings().removeClass('current')
       .parents('div.players-section').find('div.box').hide().eq($(this).index()).fadeIn(400);
   })
});

$(document).ready(function(){
	if ($(window).width() > 950) {
			var $urlBg = $('#movie-left').attr("data-bg");
			if ($urlBg) {
			$('#all-wrap').addClass('have-bg').prepend('<div id="bg-wallpaper"></div>');
			$('#bg-wallpaper').css({
				'background' : 'url(' + $urlBg + ') center top fixed no-repeat',
				'background-size' : 'cover'
			});
			$('.have-bg #full-wr').css({
				'padding-top' : '300px'
			});
			$(window).load(function(){
				$('#bg-wallpaper').animate({opacity: 1}, 2000);
			});
			};
	};
});